#include "CDisplay.hpp"
#include "CMain.hpp"
#include "CPlayer.hpp"

#ifndef CMENU_HPP
#define CMENU_HPP

class CMenu
{
private:
	BITMAP *status_screen;
	BITMAP *selector;
	BITMAP *menuchoice_screen;
	BITMAP *inventory_screen;
	BITMAP *inventorymenuchoice_screen;
	BITMAP *choice_bmp;
	BITMAP *item_type;
	
	int choice;
	int inventory;
	int selected_item;
	
	bool done;
public:
	CMenu();
	~CMenu();

	void DisplayStatus();
	void StatusSelection();
	void DisplayInventory(bool control);
    void InteractInventory();
    void DisplayItemInfo(int id);
    bool Choice(BITMAP *savescreen);
    bool ClericChoice(BITMAP *savescreen);
    bool TrainerChoice(BITMAP *savescreen);
    
    void ShowBattleStatus(bool isplayer, int id);

    void Init();
};

extern CMenu menu;

#endif

